;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: MSTIMER_1.asm
;;   Version: 1.2, Updated on 2010/12/27 at 15:26:46
;;  Generated by PSoC Designer 5.1.2101.0
;;
;;  DESCRIPTION: MSTIMER User Module software implementation file.
;;
;;  NOTE: User Module APIs conform to the fastcall16 convention for marshalling
;;        arguments and observe the associated "Registers are volatile" policy.
;;        This means it is the caller's responsibility to preserve any values
;;        in the X and A registers that are still needed after the API functions
;;        returns. For Large Memory Model devices it is also the caller's 
;;        responsibility to perserve any value in the CUR_PP, IDX_PP, MVR_PP and 
;;        MVW_PP registers. Even though some of these registers may not be modified
;;        now, there is no guarantee that will remain the case in future releases.
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress Semiconductor 2010. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

include "m8c.inc"
include "memory.inc"
include "MSTIMER_1.inc"

;-----------------------------------------------
;  Global Symbols
;-----------------------------------------------
export   MSTIMER_1_EnableInt
export  _MSTIMER_1_EnableInt
export   MSTIMER_1_DisableInt
export  _MSTIMER_1_DisableInt
export   MSTIMER_1_Start
export  _MSTIMER_1_Start
export   MSTIMER_1_Stop
export  _MSTIMER_1_Stop

;-----------------------------------------------
;  Constant Definitions
;-----------------------------------------------


area UserModules (ROM, REL)

.SECTION
;-----------------------------------------------------------------------------
;  FUNCTION NAME: MSTIMER_1_EnableInt
;
;  DESCRIPTION:
;     Enables the MSTIMER interrupt by setting the interrupt enable mask
;     bit associated with this User Module.
;
;     NOTE:  Remember to enable the global interrupt by calling the
;           M8C global macro: M8C_EnableGInt
;
;-----------------------------------------------------------------------------
;
;  ARGUMENTS:  none
;
;  RETURNS:  none
;
;  SIDE EFFECTS: 
;    The A and X registers may be modified by this or future implementations
;    of this function.  The same is true for all RAM page pointer registers in
;    the Large Memory Model.  When necessary, it is the calling function's
;    responsibility to perserve their values across calls to fastcall16 
;    functions.
;
;  THEORY of OPERATION or PROCEDURE:
;     Sets the specific user module interrupt enable mask bit.
;
 MSTIMER_1_EnableInt:
_MSTIMER_1_EnableInt:
   RAM_PROLOGUE RAM_USE_CLASS_1
   M8C_EnableIntMask    INT_MSK1, INT_MSK1_MS_TIMER ; Enable the interrupt
   RAM_EPILOGUE RAM_USE_CLASS_1
   RET
.ENDSECTION

.SECTION
;-----------------------------------------------------------------------------
;  FUNCTION NAME: MSTIMER_1_DisableInt
;
;  DESCRIPTION:
;     Disables this MSTIMER interrupt by clearing the interrupt enable mask bit
;     associated with this User Module.
;
;-----------------------------------------------------------------------------
;
;  ARGUMENTS:  none
;
;  RETURNS:  none
;
;  SIDE EFFECTS: 
;    The A and X registers may be modified by this or future implementations
;    of this function.  The same is true for all RAM page pointer registers in
;    the Large Memory Model.  When necessary, it is the calling function's
;    responsibility to perserve their values across calls to fastcall16 
;    functions.
;
;  THEORY of OPERATION or PROCEDURE:
;     Clears the specific user module interrupt enable mask bit.
;
 MSTIMER_1_DisableInt:
_MSTIMER_1_DisableInt:
   RAM_PROLOGUE RAM_USE_CLASS_1
   M8C_DisableIntMask    INT_MSK1, INT_MSK1_MS_TIMER ; Disable the interrupt
   RAM_EPILOGUE RAM_USE_CLASS_1
   ret

.ENDSECTION

.SECTION
;-----------------------------------------------------------------------------
;  FUNCTION NAME: MSTIMER_1_Start
;
;  DESCRIPTION:
;
;-----------------------------------------------------------------------------
;
;  ARGUMENTS: none
;
;  RETURNS:  none
;
;  SIDE EFFECTS: 
;    The A and X registers may be modified by this or future implementations
;    of this function.  The same is true for all RAM page pointer registers in
;    the Large Memory Model.  When necessary, it is the calling function's
;    responsibility to perserve their values across calls to fastcall16 
;    functions.
;
;  THEORY of OPERATION or PROCEDURE:
;
 MSTIMER_1_Start:
_MSTIMER_1_Start:
   RAM_PROLOGUE RAM_USE_CLASS_1
   RAM_EPILOGUE RAM_USE_CLASS_1
   RET
.ENDSECTION

.SECTION
;-----------------------------------------------------------------------------
;  FUNCTION NAME: MSTIMER_1_Stop
;
;  DESCRIPTION:
;     Disables MSTIMER operation.
;
;-----------------------------------------------------------------------------
;
;  ARGUMENTS:  none
;
;  RETURNS:  none
;
;  SIDE EFFECTS: 
;    The A and X registers may be modified by this or future implementations
;    of this function.  The same is true for all RAM page pointer registers in
;    the Large Memory Model.  When necessary, it is the calling function's
;    responsibility to perserve their values across calls to fastcall16 
;    functions.
;
;  THEORY of OPERATION or PROCEDURE:
;
 MSTIMER_1_Stop:
_MSTIMER_1_Stop:
   RAM_PROLOGUE RAM_USE_CLASS_1
   M8C_DisableIntMask    INT_MSK1, INT_MSK1_MS_TIMER ; Disable the interrupt
   RAM_EPILOGUE RAM_USE_CLASS_1
   ret

.ENDSECTION
; End of File MSTIMER_1.asm
